package com.sketch.art.trace.tools;

import android.app.Application;
import android.content.res.AssetManager;
import android.graphics.Typeface;

import com.ad.toponlibrary.AdManager;
import com.sketch.art.trace.mydata.MyDataBase;
import com.up.uploadlibrary.SaveUtils;
import com.up.uploadlibrary.UpLoadManager;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class App extends Application {
    public static String Key_ViewDir = "pre_dir";
    public static String Key_ISMAIN = "ismain";
    public static String Key_Camera = "camera_data";

    public static String TAG = "=============";

    public static App app;

    public static final String[] CLASS_NAMES = {
            "local_Aesthetic",
            "local_One Line Art",
            "local_People",
            "local_Animals",
            "local_Birds",
            "local_Tropical Paradise",
            "local_World Monuments",
            "local_Butterfly",
            "local_Food",
            "local_Cartoons",
            "local_Christmas",
            "local_Festivals",
            "local_Flowers",
            "local_Fruits",
            "local_General",
            "local_Mehndi",
            "local_Nature",
            "local_Architectures",
            "local_Rangoli",
            "local_Sports",
            "local_Car",
            "local_Space"
    };


    public static Typeface defaultFont;
    private static List<String> classNameList;

    @Override
    public void onCreate() {
        super.onCreate();
        app = this;
        AssetManager assets = getAssets();
        defaultFont = Typeface.createFromAsset(assets, "myfont.ttf");
        classNameList = Arrays.asList(CLASS_NAMES);
        MyDataBase.init(this);

        AdManager.INSTANCE.init(TAG,app,"h6863ab3c02e55","addf54d133b312f627700a82e99f1c335",
                "fe06c76b794f95216f98e5982ae8f335fc558956",
                "n6863aba0ba9d3",
                "n6863ab79df088",
                "n6863ab6838cca",false);
        UpLoadManager.INSTANCE.init(this,TAG);
    }

    public static List<String> getAllDir() {
        Collections.shuffle(classNameList);
        return classNameList;


    }
}
